<?php

namespace IPS\chatbox\Form;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Usergroup discount input class for Form Builder
 */
class _Donation extends \IPS\Helpers\Form\FormAbstract
{
	/** 
	 * Get HTML
	 *
	 * @return	string
	 */
	public function html()
	{
		$color = new \IPS\Helpers\Form\Color( $this->name . '[color]', $this->value['color'] ? $this->value['color'] : NULL, TRUE );		

		$amount = new \IPS\Helpers\Form\Text( $this->name . '[amount]', $this->value['amount'], TRUE, array( 'regex' => '/[^0-9]/' ) );	

		return \IPS\Theme::i()->getTemplate( 'forms' )->donation( $this, $color, $amount );
	}
}